> ## Documentation Index
> Fetch the complete documentation index at: https://docs.satsuma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Method

> Delete a payment method for the organization



## OpenAPI

````yaml api-reference/openapi.json delete /payment-method/{paymentMethodId}
openapi: 3.1.0
info:
  title: Satsuma API
  description: API specification for Satsuma AI commerce platform
  contact:
    name: Satsuma Support
    url: https://satsuma.ai
    email: support@satsuma.ai
  version: 1.0.0
servers:
  - url: https://api.satsuma.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /payment-method/{paymentMethodId}:
    delete:
      tags:
        - Payment Method
      summary: Delete Payment Method
      description: Delete a payment method for the organization
      operationId: deletePaymentMethod
      parameters:
        - name: paymentMethodId
          in: path
          description: Payment method identifier
          required: true
          schema:
            type: string
        - name: merchant_id
          in: query
          description: Merchant identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBoolean'
components:
  schemas:
    ResponseBoolean:
      properties:
        data:
          type: boolean
        messages:
          uniqueItems: true
          type: array
          items:
            $ref: '#/components/schemas/Message'
    Message:
      properties:
        context:
          type: string
        level:
          type: string
          enum:
            - Information
            - Warning
            - Error
        text:
          type: string
        data:
          type: object
          additionalProperties: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: API Key authentication
      name: Authorization
      in: header

````